Gtk_Paned(3)

NAME - Gtk_Paned

HEADER REQUIRED
#include <gtk--/paned.h&gt;>

BASE CLASSES
Gtk_Container(3)

DERIVED BY
Gtk_HPaned(3) Gtk_VPaned(3)

PROPERTIES

child1
    Type: Gtk_Widget*

child2
    Type: Gtk_Widget*

handle
    Type: GdkWindow*

groove_rectangle
    Type: GdkRectangle

xor_gc
    Type: GdkGC*

handle_size
    Type: guint16

gutter_size
    Type: guint16

child1_size
    Type: gint

last_allocation
    Type: gint

min_position
    Type: gint

max_position
    Type: gint

position_set
    Type: guint:1

in_drag
    Type: guint:1

child1_shrink
    Type: guint:1

child1_resize
    Type: guint:1

child2_shrink
    Type: guint:1

child2_resize
    Type: guint:1

handle_xpos
    Type: gint16

handle_ypos
    Type: gint16

     .IP

PUBLIC MEMBER INDEX
    Gtk_Paned();
    Gtk_Paned(GtkPaned *castitem);
    void  add1(const Gtk_Widget &child);
    void  add2(const Gtk_Widget &child);
    void  add1(const Gtk_ObjectHandle &child);
    void  add2(const Gtk_ObjectHandle &child);
    void  set_handle_size(guint16 size);
    void  set_gutter_size(guint16 size);
    void  pack1(const Gtk_Widget &child, bool resize, bool shrink);
    void  pack2(const Gtk_Widget &child, bool resize, bool shrink);
    void  pack1(const Gtk_ObjectHandle &child, bool resize, bool shrink);
    void  pack2(const Gtk_ObjectHandle &child, bool resize, bool shrink);
    void  set_position(gint position);
    bool  get_child1_shrink() const;
    bool  get_child2_shrink() const;
    bool  get_child1_resize() const;
    bool  get_child2_resize() const;
    guint16  get_handle_size() const;
    guint16  get_gutter_size() const;
    const Gtk_Widget*  get_child1() const;
    const Gtk_Widget*  get_child2() const;
    GtkPaned*  gtkobj();
    const GtkPaned*  gtkobj() const;
    static bool  isGtkPaned(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkPaned  BaseObjectType;
    typedef GtkPanedClass  BaseClassType;
    virtual void * get_parent_class();

PRIVATE MEMBER INDEX
    static CppClassType  paned_class;
    GtkType  get_type();
    const Gtk_Widget * child1_, *child2_;

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS